Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

An access token, bound to one account.

Query Parameters

page
integer
Required range: 1 <= x <= 500
perPage
integer
Required range: 1 <= x <= 100
sort
enum<string>
Available options:
newest,
oldest,
waiting_longest,
priority,
sla_due
cursor
string

The previous page's metadata.nextCursor, in the same sort; not with page. A cursor from another sort, or one that does not decode, answers 422 invalid_cursor.

Maximum string length: 1000
q
string
Required string length: 1 - 255
view
string

Only conversations in this inbox view, ANDed with the other filters: needs_a_person, mine, unassigned, waiting, on_hold, closed, handled_by_aide, resolved_by_aide, handoffs, team:<team id> (its conversations not closed or spam) or a saved view id. drafts and suggested filter on what conversations cannot be filtered by yet: a list answers 422 unsupported_view_filter and a count is null.

Required string length: 1 - 80
status
enum<string>[]
Maximum array length: 7
Available options:
new,
open,
waiting_on_customer,
on_hold,
snoozed,
closed,
spam
statusNot
enum<string>[]
Maximum array length: 7
Available options:
new,
open,
waiting_on_customer,
on_hold,
snoozed,
closed,
spam
priority
enum<string>[]
Maximum array length: 4
Available options:
urgent,
high,
normal,
low
priorityNot
enum<string>[]
Maximum array length: 4
Available options:
urgent,
high,
normal,
low
handoffState
enum<string>[]
Maximum array length: 4
Available options:
aide_handling,
handoff_requested,
person_handling,
returned_to_aide
handoffStateNot
enum<string>[]
Maximum array length: 4
Available options:
aide_handling,
handoff_requested,
person_handling,
returned_to_aide
channel
string[]
Maximum array length: 20
Maximum string length: 40
channelNot
string[]
Maximum array length: 20
Maximum string length: 40
externalId
string
Required string length: 1 - 255
assignee
string[]
Maximum array length: 50
Maximum string length: 64
assigneeNot
string[]
Maximum array length: 50
Maximum string length: 64
team
string[]
Maximum array length: 50
Maximum string length: 64
teamNot
string[]
Maximum array length: 50
Maximum string length: 64
topic
string[]
Maximum array length: 50
Maximum string length: 64
topicNot
string[]
Maximum array length: 50
Maximum string length: 64
scenario
string[]
Maximum array length: 50
Maximum string length: 64
slaStatus
enum<string>[]
Maximum array length: 6
Available options:
on_track,
imminent,
breached,
achieved,
paused,
none
slaStatusNot
enum<string>[]
Maximum array length: 6
Available options:
on_track,
imminent,
breached,
achieved,
paused,
none
trashed
any
Available options:
1,
1,
true,
true,
on,
0,
0,
false,
false
automated
any
Available options:
1,
1,
true,
true,
on,
0,
0,
false,
false
resolvedBy
enum<string>
Available options:
aide,
person
createdAfter
string<date-time>
createdBefore
string<date-time>
outcome
enum<string>[]

Conversations the analytics reports count with one of these outcomes. With no startedAfter, startedBefore, orderedAfter or orderedBefore, only conversations started in the last 90 days are classified.

Maximum array length: 19
Available options:
eligible,
resolved_confirmed,
resolved_assumed,
reopened,
in_progress,
manual,
handed_off,
topic_detected,
not_routed,
scenario_on_topic,
scenario_applied,
draft_used,
human_engaged,
csat_aide,
csat_human,
knowledge_gap,
knowledge_gap_no_topic,
ordered_from_cart,
ordered_after_chat
handoffReason
enum<string>[]
Maximum array length: 7
Available options:
customer_asked,
low_confidence,
guardrail,
missing_data,
policy,
manual,
unspecified
detectedTopic
string[]
Maximum array length: 50
Maximum string length: 64
startedAfter
string<date-time>
startedBefore
string<date-time>
orderedAfter
string<date-time>
orderedBefore
string<date-time>

Response

OK

data
object[]
required
metadata
object
required